### Method

# Gimp Brush set_angle

since: 2.4

#### Declaration [src]

    gboolean
    gimp_brush_set_angle (
      GimpBrush* brush,
      gdouble angle_in,
      gdouble* angle_out
    )

#### Description [src]

Sets the rotation angle of a generated brush.

Sets the rotation angle for a generated brush. Sets the angle modulo 180, in the range [-180.0, 180.0]. Returns the clamped value. Returns an error when brush is non-parametric or not editable.

Available since: 2.4

#### Parameters

`angle_in`

  Type: `gdouble`

  The desired brush rotation angle in degrees.

`angle_out`

  Type: `gdouble*`

  The brush rotation angle actually assigned.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

TRUE on success.